From cb0b606225042496f13b4892bca9344a89b5ba36 Mon Sep 17 00:00:00 2001
From: Wen Gong <wgong@codeaurora.org>
Date: Wed, 13 May 2020 11:47:01 +0800
Subject: [PATCH 103/124] ath11k: remove ATH11K_STATE_TM check for restart

In ath11k_tm_cmd_testmode_start, it set ar->state = ATH11K_STATE_TM,
then it will not called complete(&ar->fw_mode_reset) in function
ath11k_core_restart, thus it lead "failed to restat the core in ftm
mode" of timeout.

Remove this check, then UTF mode test success.

Tested-on: QCA6390 WLAN.HST.1.0.1-01230-QCAHSTSWPLZ_V2_TO_X86-1

Change-Id: Ieae6e10017c8e7374a7fcbc68aacaf720fabf002
Signed-off-by: Wen Gong <wgong@codeaurora.org>
---
 drivers/net/wireless/ath/ath11k/core.c | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/drivers/net/wireless/ath/ath11k/core.c b/drivers/net/wireless/ath/ath11k/core.c
index d435506..0ff23f3 100644
--- a/drivers/net/wireless/ath/ath11k/core.c
+++ b/drivers/net/wireless/ath/ath11k/core.c
@@ -740,8 +740,7 @@ static void ath11k_core_restart(struct work_struct *work)
 	for (i = 0; i < ab->num_radios; i++) {
 		pdev = &ab->pdevs[i];
 		ar = pdev->ar;
-		if (!ar || ar->state == ATH11K_STATE_OFF ||
-		    ar->state == ATH11K_STATE_TM)
+		if (!ar || ar->state == ATH11K_STATE_OFF)
 			continue;
 
 		mutex_lock(&ar->conf_mutex);
-- 
2.7.4

